/**
 * @filename index.js 
 * @encoding UTF-8 
 * @author 邱伟平 
 * @copyright 连云港龙泽商务有限公司 
 * @datetime 2014-5-15  16:56:25
 * @version 1.0
 * @Description
 */


$(document).ready(function(){
    //    alert(base);
    });


/*
 * 刷新验证码
 */
function reloadcode() {
    var verify = document.getElementById('checkCodeImg');
    verify.setAttribute('src', base+'captcha_code?' + Math.random());
}
/*
     * 表单提交
     */
function form_submit() {
    var form = $("#form_life");
   
    if( form.find("input[name='title']").val() == ""){
        alert("标题 不能为空");
        return;
    };
   
    if( form.find("textarea").val() == ""){
        alert("内容 不能为空");
        return;
    };
   
    if( form.find("input[name='captcha_code']").val() == ""){
        alert("请输入验证码");
        return;
    };

    $.ajax({
        cache: true,
        type: "POST",
        url:base+"life/info_publish",
        data:$('#form_life').serialize(),
        async: false,
        error: function(request) {
            alert("error");
        },
        success: function(data) {
            if(data == "OK"){
                alert("发布成功!");
                document.getElementById("form_life").reset();
            }else{
                alert(data);
            }
            reloadcode();
        }
    });
}

    /* End of file : index.js */
